
shr.defineClass("shr.custom.EmployeeEditEx", shr.emp.EmployeeEdit, {
	initalizeDOM: function () {
		var _self = this;
		shr.custom.EmployeeEditEx.superClass.initalizeDOM.call(this);
		_self.personnelCaF7();
	},
	personnelCaF7() {
		$('#personnelCl').change(function () {
			var selectedValue = $(this).val();
			console.log('你选择了: ' + selectedValue);
			if (selectedValue == "一线员工") {
				$("#isSyncOA").shrSelect("setValue", "1")
			} else {
				$("#isSyncOA").shrSelect("setValue", "0")
			}
		});
	}
});

